Rendre vos extensions compatibles avec Firefox 3

Si certains de vos modules complémentaires pour Firefox ne sont pas compatibles avec la dernière version Firefox 3, sachez qu’il existe une petite astuce trouvée chez Skymind pour les rendre compatibles :



La solution consiste à éditer l’extension incompatible. Pour cela :

  1. Téléchargez l’extension sur votre bureau.
  2. Ouvrez le fichier .xpi avec Winrar.
  3. Editez le fichier install.rdf et recherchez la ligne qui contient :
  4. < em:maxVersion > 2.0.0.*< /em:maxVersion >

  5. Remplacez 2.0.0.* par 3.0.*
  6. Sauvez le fichier puis mettez l’archive à jour.
  7. Glissez-déposez votre nouveau fichier .xpi dans la fenêtre des extensions.
  8. Vos extensions devraient désormais être fonctionnelles.

A lire également :

Posté le 1 Juil 2008 par | 8 Commentaires » Tags : , |

8 commentaires pour “Rendre vos extensions compatibles avec Firefox 3”

  1. Jason Says:

    C cool merci pour l’astuce.

    Par contre je n’arrive pas à éditer le fichier .rdf. Comment faire ? et comment faire pour mettre à jour l’archive ?

    Merci beaucoup

  2. Jason Says:

    Bon j’ai reussit à faire toutes les étapes finalement, mais par contre ça ne marche pas pour l’extension d’Imageshack. Quelqu’un à reussit pour cette dernière extension ?
    Je vais essayer pour d’autres extensions.

    Merci

  3. Leon Says:

    Un grand merci pour cette astuce. Je l’ai testé avec TAB EFFECT et ça a fonctionné du premier coup. Au lieu de Winrar, j’ai utilisé 7Zip.
    Encore merci

  4. Leon Says:

    D’autres essais :
    Je viens de me modifier Minimize to try sans problème (Vista et XP)
    ça fonctionne aussi avec des thèmes : Noia 2.0
    Cordialement

  5. dhoko Says:

    Super, merci bien pour cette astuce que je vais vite utiliser pour mes extensions pas encore MAJ.

  6. francis Says:

    Attention, il y a un risque quand même il peut y avoir des dysfonctionnements du plugins, si c’est juste des trucs de présentation ce n’est pas grave mais si c’est un plugin qui doit faire des ecritures ou des modifs je ferais attention la fonction du versionning est là pour savoir le niveau de mise à jours mais aussi pour des raisons d’intégrités.

  7. JulG7 Says:

    Oui ça reste quand même du bricolage c’est vrai! 😳
    Mais ça dépanne bien pour les petites extensions dont le développement est stoppé par exemple…

Leave a Reply

Galerie

Recherche

Catégories

Suivre JulG7 – Le blog



Commentaires récents

Liens

Archives

Copyright © 2017 JulG7 – Le blog. All rights reserved.

| thème réalisé par JulG7